package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.dto.MaintActionItemDto;
import com.bankaudit.model.MaintActionItemWrk;

public interface MaintActionItemsService {
	
	
	DataTableResponse getAllActionItemList(Integer legalEntityCode, String search,Integer orderColumn, String orderDirection, Integer page, Integer size);

	DataTableResponse getActionItemListByauditTypeCode(Integer legalEntityCode, String auditTypeCode, String status, String search, Integer orderColumn, String orderDirection, 
			Integer page, Integer size);
	
	List<MaintActionItemWrk> getAllActionItemListByauditTypeCode(Integer legalEntityCode, String auditTypeCode, String status);
	
	String saveActionItem(MaintActionItemDto maintActionItemDto);
 	 	 
	// void deleteActionItemById(Integer legalEntityCode, String auditTypeCode, Integer id, String status, String userId);
	
	String authorizeActionItem(MaintActionItemDto maintActionItemDto);
}
